unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TForm1 = class(TForm)
    chrRothConvert: TChart;
    srIRA: TBarSeries;
    srNonQualified: TBarSeries;
    srRoth: TBarSeries;
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

{ TForm1 }

constructor TForm1.Create(aOwner: TComponent);
const
  STR_CURRENT_PRIOR_TO = 'Today'#13'Prior to Conversion';
  STR_CURRENT_AFTER_CONV = 'Today'#13'After Conversion';
  STR_FUURE_NON_CONV = '%d Years'#13'Without Conversion'#13'After Tax';
  STR_FUTURE_CONV = '%d Years'#13'With Conversion'#13'After Tax';
var
  lStr: string;
begin
  inherited;

  srIRA.Clear;
  srNonQualified.Clear;
  srRoth.Clear;

  srIRA.Add(Random * 1000, STR_CURRENT_PRIOR_TO);
  srNonQualified.Add(Random * 1000, STR_CURRENT_PRIOR_TO);
  srRoth.AddNull(STR_CURRENT_PRIOR_TO);

  srIRA.AddNull(STR_CURRENT_AFTER_CONV);
  srNonQualified.AddNull(STR_CURRENT_AFTER_CONV);
  srRoth.Add(Random * 1000, STR_CURRENT_AFTER_CONV);

  lStr := Format(STR_FUURE_NON_CONV, [25]);
  srIRA.Add(Random * 1000, lStr);
  srNonQualified.Add(Random * 1000, lStr);
  srRoth.AddNull(lStr);

  lStr := Format(STR_FUTURE_CONV, [25]);
  srIRA.AddNull(lStr);
  srNonQualified.AddNull(lStr);
  srRoth.Add(Random * 1000, lStr);

end;

end.
